package src.fr.impl.Parts;

import java.util.HashMap;

import src.fr.api.PartType;
import src.fr.impl.PartImpl;

public class Transmission extends PartImpl {     
     /*public Transmission(String name, CategoryImpl category, int price){
          super(new PartTypeImpl(name,Engine.class, category),price);
     }*/

     private static final HashMap<String,Integer> prices;
     static {
          prices = new HashMap<>();
          prices.put("TM5",2000);
          prices.put("TM6",4000);
          prices.put("TA5",7000);
          prices.put("TS6",10000);
          prices.put("TSF7",15000);
          prices.put("TC120",5000);
      }

     public Transmission(){
     }

     @Override
     public void setType(PartType type){
        this.type = type;
        this.price = prices.get(type.getName());
    }
}
